本帖最后由 lee50310 于 2023-10-28 04:18 编辑
我這邊AutoCad 2018繁體版 64bit 測試皆 ok
把 孤立物體 程式 單獨挪出 你自行測試看看 問題出在哪裡?
執行指令:bb2
1.選擇要孤立的物體
- ;;-------------------------------------------------------------------------
- ;;孤立对象函数
- (defun c:teg ( ss / ssn n)
- (setvar "cmdecho" 0)
- (vl-cmdf "SELECT" "ALL" "R" ss "")
- (setq ss (ssget "P"))
- (setq i 0)
- (repeat (sslength ss)
- (setq sn (ssname ss i))
- (setq ent (entget sn))
- (setq lx (cdr (assoc 60 ent)))
- (if (= lx nil) (progn
- (setq a (list (cons 60 1)))
- (setq ent (append ent a))
- (entmod ent)))
- (if (/= lx nil) (progn
- (setq ent (subst (cons 60 1) (assoc 60 ent) ent))
- (entmod ent)))
- (setq i (1+ i)))
- (princ))
- ;;<--- 主程式 --->>
- (defun c:bb2()
- (princ "\n选择要孤立的物体:")
- (setq ss (ssget)) ;选择要孤立的物体
- (c:teg ss) ;执行孤立函数
- )
- ;----------------------------------------------------------------------------
|